I have an odd issue. The company I work for has old databases that were built in Access '97. They've since upgraded to Access 2003, 2007 of course, and are in the process of upgrading to 2010, but a couple of databases still only work in '97.

I'm tasked with trying to find a way to make sure the database is only opened in Access '97. I can easily open up an instance of Microsoft Access using VB and I know how to check which version is open in the code as well, but I'm wondering if there is a way to specify which version I need to open in the code. I'm using Visual Studio 2010 and would be willing to use C# or C++ if it's "easier to do"/"only possible" in one of those languages. Any help would be greatly appreciated.